Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518929

Summary: Clicking any greyed out item from a dropdown will remove the sorting bar from the bottom
Product: Red Hat CloudForms Management Engine Reporter: Ryan Spagnola <rspagnol>
Component: UI - OPSAssignee: Martin Hradil <mhradil>
Status: CLOSED CURRENTRELEASE QA Contact: Dave Johnson <dajohnso>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: cpelland, hkataria, jhardy, mpovolny, obarenbo
Target Milestone: GAKeywords: Regression, TestOnly
Target Release: 5.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.10.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1519841 (view as bug list) Environment:
Last Closed: 2018-06-21 20:42:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: Bug
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1519841    

Description Ryan Spagnola 2017-11-29 19:39:33 UTC
Description of problem:
This happens on any screen that has the sorting/page buttons at the bottom. Click a dropdown from the top (i.e. Configuration, Lifecycle, etc..) then click any greyed out selection option and the sorting bar at the bottom will disappear.

Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 CFME Bot 2017-12-01 09:43:40 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/45e916e5839d73bd9345391e4592efaaf7ccc978

commit 45e916e5839d73bd9345391e4592efaaf7ccc978
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Nov 30 16:33:32 2017 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Nov 30 16:33:32 2017 +0000

    ToolbarController#setClickHandler - don't handle click for disabled toolbar items
    
    clicking on a disabled toolbar item doesn't really do anything in `miqToolbarOnClick`, but the `itemClicked` rx message still got sent, causing the paging toolbar to disappear (by calling `ReportDataController#setExtraClasses`).
    
    Changing to only send the event when a visible non-disabled button is clicked.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518929

 .../javascripts/controllers/toolbar_controller.js  | 37 ++++++++++++----------
 1 file changed, 21 insertions(+), 16 deletions(-)